Bug 848480 - Arrays as method's input value don't have prober count value
Arrays as method's input value don't have prober count value
Product: Fedora
Classification: Fedora
Component: konkretcmpi (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-15 13:51 EDT by Roman Rakus
Modified: 2016-11-30 19:30 EST (History)
4 users (show)

See Also:
Fixed In Version: konkretcmpi-0.8.7-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-15 19:52:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2012-08-15 13:51:23 EDT
Description of problem:
I'm using an array of strings as input value in one method. But the `count' is always set to 0 and thus it is not easy to determine how large the array is.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create some method with array of strings as an input
2. Generate provider code
3. print `count'
Additional info:
The definition is: const KStringA* values
The testing code is:
printf("Values [%p]:\n", values);
printf("\tExists: %d\n", values->exists);
printf("\tNull: %d\n", values->null);
printf("\tCount: %d\n", values->count);
printf("\tvalue: %p\n", values->value);

The output:
Values [0x7f9fffcc7328]:
        Exists: 1
        Null: 0
        Count: 0
        value: 0x7f9ff8001760

But there is workaround:
arr = values->value;
count = arr->ft->getSize(arr, status);
printf("\tCount2: %d\n", count);

I can provide you testing MOF file and provider code.
Comment 1 Fedora Update System 2013-02-06 03:26:52 EST
konkretcmpi-0.8.7-8.fc18 has been submitted as an update for Fedora 18.
Comment 2 John Dennis 2013-02-06 08:52:40 EST
Thank you for fixing this. Please also build and push the fix for F17 and update the Fixed In field.

I cherry-picked the patch into the f17 branch but I didn't have permission to push it or I would have done this for you.
Comment 3 Fedora Update System 2013-02-06 09:11:07 EST
konkretcmpi-0.8.7-8.fc17 has been submitted as an update for Fedora 17.
Comment 4 Radek Novacek 2013-02-06 09:13:52 EST
Update submitted also for Fedora 17 and Fixed In field filled.
Comment 5 Fedora Update System 2013-02-07 21:06:46 EST
Package konkretcmpi-0.8.7-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing konkretcmpi-0.8.7-8.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-02-15 19:52:50 EST
konkretcmpi-0.8.7-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-15 20:04:05 EST
konkretcmpi-0.8.7-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.